%define anolis_release 1
%undefine __cmake_in_source_build

Name:           libeconf
Version:        0.6.2
Release:        %{anolis_release}%{?dist}
Summary:        a highly flexible and configurable library to parse and manage key=value configuration files
License:        MIT
URL:            https://github.com/openSUSE/libeconf
Source0:        https://github.com/openSUSE/libeconf/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  cmake >= 3.12 gcc gcc-c++ automake autoconf

%description
libeconf is a highly flexible and configurable library to parse 
and manage key=value configuration files.
It reads configuration file snippets from different directories 
and builds the final configuration file 
for the application from it.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The libeconf-devel package contains libraries and header files for
developing applications that use libeconf.


%package        utils
Summary:        Utilities for manipulating config files
Requires:       %{name} = %{version}-%{release}

%description    utils
The libeconf-utils package contains utilities for manipulating
configuration files from applications that use libeconf.


%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The libeconf-doc package contains documentation files for libeconf.


%prep
%autosetup -p1


%build
%cmake
%cmake_build


%install
%cmake_install
%generate_compatibility_deps


%check
%cmake_build --target check


%files
%dir %{abidir}
%license LICENSE
%{_libdir}/libeconf.so.0{,.*}
%{abidir}/*.dump

%files devel
%doc example/
%{_includedir}/*.h
%{_libdir}/cmake/libeconf/
%{_libdir}/libeconf.so
%{_libdir}/pkgconfig/libeconf.pc
%{_mandir}/man3/libeconf.3*

%files utils
%{_bindir}/econftool
%{abidir}/*-option.list
%{_mandir}/man8/econftool.8*

%files doc
%doc README.md TODO.md NEWS

%changelog
* Wed Feb 26 2025 Xiaoping Liu <lxp01404969@alibaba-inc.com> - 0.6.2-1
- Refer to CentOS Stream libeconf-0.6.2-4 (tdawson@redhat.com)

* Sun Aug 27 2023 Funda Wang <fundawang@yeah.net> - 0.5.2-1
- New version 0.5.2

* Mon Apr 10 2023 chen_yu_ao <m15927509890@163.com> - 0.4.0-4
- change spec file format

* Thu Feb 16 2023 chen_yu_ao <m15928509890@163.com> - 0.4.0-3
- generate abi files and rename patch nums

* Mon Oct 10 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.4.0-2
- add doc package

* Tue Mar 22 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.4.0-1
- init from upstream 0.4.0
